Bug 1463235 - GNOME shell freezes when waking up docked
GNOME shell freezes when waking up docked
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 08:13 EDT by Thomas Vollstädt
Modified: 2018-05-29 07:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:30:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Monitor configuration (15.35 KB, text/plain)
2017-06-20 08:13 EDT, Thomas Vollstädt
no flags Details

  None (edit)
Description Thomas Vollstädt 2017-06-20 08:13:45 EDT
Created attachment 1289625 [details]
Monitor configuration

Description of problem:

I'm running F26 on a Thinkpad X1 Yoga. Most of the time I am docked on a OneLink+ dock with two monitors and one monitor on DisplayPort (3 monitors total, interal display is disabled). Since about two weeks the following issue happens:

The notebook is running regulary without being docked. I just close the lid and the machine will go to standby (red Thinkpad light is flashing slowly). On my desk, I plug in the OneLink and the DisplayPort cable and wake up the machine. Now only one of the two OneLink monitors are turned on with a desktop background, other two (second OneLink and DP) are black. Also the shell is completly frozen, no mouse movement (neither touchpad, docked or attached mouse), keyboard input, I cannot even change TTY. Only a reboot helps. This worked properly a few weeks ago (I cannot remember which update caused this). CPU fan spins up so there seems to be high CPU utilization. I'm not sure how to debug this and which log could help.

Version-Release number of selected component (if applicable):
gnome-shell.x86_64                                                  3.24.2-1.fc26
kernel.x86_64                                                       4.11.5-300.fc26
mutter.x86_64                                                       3.24.2-2.fc26

How reproducible:
Everytime I wake up the machine docked on OneLink and DP.

Steps to Reproduce:
1. Put machine into standby (red Thinkpad light flashing)
2. Dock machine with OneLink+ dock and DP monitor

Actual results:
One of the OneLink displays turns on, desktop background and mouse cursor appears, but no response to any input. Loud CPU fan.

Expected results:
All three displays turn on, machine is responsible.

Additional info:
Similar issue, but maybe unrelated:
When attaching the OneLink-cable while the machine is running, everything works as expected (two OneLink monitors + internal display), desktop is reponsive. Now when I attach the additional display port cable (lid still open), every screen goes black. I cannot recover from this, even with un-/redocking. Machine seems to be alive since un-/redocking generates a sound, but only a reboot helps.
Comment 1 Thomas Vollstädt 2017-06-22 09:14:57 EDT
Interesting: Freeze happens only when I turn on my monitors. Waking up docked with displays turned off seems to work.
Comment 2 Fedora End Of Life 2018-05-03 04:11:46 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 07:30:58 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.